import { DashboardState } from '../../AdaptableState/DashboardState';
import { ApiBase } from '../Implementation/ApiBase';
export declare class DashboardInternalApi extends ApiBase {
    isToolbarInActiveTab(toolbarName: string, dashboardState: DashboardState): boolean;
    isToolbarCustom(toolbarName: string): boolean;
    getCustomToolbarRenderContainerId(customToolbarName: string): string;
    getCustomToolbarButtonsContainerId(customToolbarName: string): string;
    getCustomToolbarComponentContainerId(customToolbarName: string): string;
    getModuleToolbars(): {
        id: import("../../AdaptableState/Common/Types").AdaptableDashboardToolbar;
        friendlyName: string;
    }[];
}
